/*===========================*/
/*========== Fonts ==========*/
/*===========================*/

@font-face {
    font-family: Helvetica Now Display Regular;
    src: url('../assets/fonts/HelveticaNowDisplay-Regular.ttf');
}

@font-face {
    font-family: Helvetica Now Display Medium;
    src: url('../assets/fonts/HelveticaNowDisplay-Medium.ttf');
}

@font-face {
    font-family: Helvetica Now Display Bold;
    src: url('../assets/fonts/SpaceGrotesk-SemiBold.ttf');
}

/*===============================*/
/*========== Variables ==========*/
/*===============================*/

:root {
    /*----- Fonts -----*/
    --helveticanow-regular: Helvetica Now Display Regular;
    --helveticanow-medium: Helvetica Now Display Medium;
    --helveticanow-bold: Helvetica Now Display Bold;

    /*----- Colors -----*/
    --clr-white: #FFFFFF;
    --clr-white-50: rgba(255, 255, 255, .5);
    --clr-black: #0E0E0E;
    --clr-dark-gray: #333333;
    --clr-card-background: #1C1C1C;
    --clr-card-background-hover: #282828;
}

/*=================================*/
/*========== Short Reset ==========*/
/*=================================*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

ul,
li {
    list-style: none;
}

a {
    text-decoration: none;
}

img {
    max-width: 100%;
    height: auto;
    width: 100%;
}

body {
    background: var(--clr-black);
}

body.full {
    height: 100dvh;
    display: flex;
    flex-direction: column;
}

main.full {
    flex: 1;
    display: flex;
    align-items: flex-end;
}

footer.full {
    margin-top: auto;
}

/*============================*/
/*========== Header ==========*/
/*============================*/

header {
    width: 100%;
    background: var(--clr-black);
}

.container {
    width: 100%;
    margin: 0 auto;
    padding: 0 2rem;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2rem 2rem;
}

.navbar__left {
    display: flex;
    align-items: center;
    gap: 5rem;
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white);
}

.navbar__left .time {
    display: flex;
    gap: .5rem;
}

.navbar__logo {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    font-family: var(--helveticanow-medium);
    font-weight: 500;
    font-size: 1rem;
    color: var(--clr-white);
    z-index: 9999;
}

.navbar__logo img {
    width: 1.5rem;
}

.navbar__links {
    display: flex;
    justify-content: space-between;
    gap: 1.5rem;
}

.navbar__links li {
    position: relative;
    transition: all .1s ease-in-out;
}

.navbar__links li::after {
    content: "";
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 1px;
    bottom: -3px;
    left: 0;
    transform-origin: bottom right;
    background-color: var(--clr-white);
    transition: transform .3s ease-out;
}

.navbar__links li:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}

.navbar__links li a {
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white);
}

.menu__overlay, .burger__menu {
    display: none;
}

/*===================================*/
/*========== Hero Homepage ==========*/
/*===================================*/

.hero {
    padding: 3.75rem 0 5rem 0;
}

.hero__inner {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.hero__inner h1 {
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 2rem;
    color: var(--clr-white);
    line-height: 2.4rem;
    width: 40%;
}

.hero__inner--cta {
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
}

.hero__inner--cta .blinking__circle {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.circle, .circle::before {
    content: " ";
    width: 0.5rem;
    height: 0.5rem;
    border-radius: 50%;
    transition: all 0.3s;
    background-color: #109A35;
}

.circle::before {
    animation: mymove 2s infinite;
    position: absolute;
    background-color: #14BF42
}

@keyframes mymove {
    50% {
        transform: scale(2);
        opacity: 0
    }

    100% {
        transform: scale(2);
        opacity: 0
    }
}

.hero__inner--cta p {
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white);
}

.hero__inner--cta a {
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white-50);
    transition: all 0.25s ease-in-out;
    position: relative;
    width: fit-content;
}

.hero__inner--cta a::after {
    content: "";
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 1px;
    bottom: -2px;
    left: 0;
    background-color: var(--clr-white-50);
    transform-origin: bottom right;
    transition: transform 0.3s ease-out;
}

.hero__inner--cta a:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}

/*=======================================*/
/*========== Projects Homepage ==========*/
/*=======================================*/

.projects__grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    column-gap: 1rem;
    row-gap: 3rem;
    padding-bottom: 3.75rem;
}

.projects__item {
    border-top: 1px solid var(--clr-dark-gray);
    padding-top: 0.75rem;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    transition: .3s all;
}

.projects__item--top {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

.projects__item--top div:nth-child(1) {
    display: flex;
    flex-direction: column;
    gap: 0.125rem;
}

.projects__item--top h2 {
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white);
}

.projects__item--top P {
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white-50);
}

.projects__item--card {
    background: var(--clr-card-background);
    aspect-ratio: 1;
    position: relative;
    border-radius: 0.375rem;
    transition: .3s all;
}

.projects__item--card div {
    position: absolute;
    left: 50%;
    bottom: 0;
    width: 73%;
    aspect-ratio: 824 / 973;
    transform: translate(-50%);
    overflow: hidden;
}

.projects__item--card div img {
    width: 100%;
    height: 100%;
}

.projects__item:hover .projects__item--card {
    background: var(--clr-card-background-hover);
    transition: .3s all;
}

/*============================*/
/*========== Footer ==========*/
/*============================*/

.footer__inner {
    display: flex;
    justify-content: space-between;
    border-top: 1px solid var(--clr-dark-gray);
    padding: 1.5rem 0;
}

.footer__inner ul {
    display: flex;
    gap: 1rem;
}

.footer__inner ul li a, .footer__inner div a {
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white);
}

.footer__inner li {
    position: relative;
    transition: all .1s ease-in-out;
    width: fit-content;
}

.footer__inner li::after {
    content: "";
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 1px;
    bottom: -2px;
    left: 0;
    transform-origin: bottom right;
    background-color: var(--clr-white);
    transition: transform .3s ease-out;
}

.footer__inner li:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}

.footer__inner div {
    display: flex;
    gap: 1rem;
}

.footer__inner p {
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white-50);
}

/*================================*/
/*========== About Page ==========*/
/*================================*/

.about__me {
    padding: 0 0 5rem 0;
}

.about__me--inner {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 2rem;
    align-items: end;
}

.about__me--left {
    grid-area: 1 / 1 / 2 / 7;
}

.about__me--right {
    grid-area: 1 / 8 / 2 / 13;
    display: flex;
    flex-direction: column;
    gap: 3rem;
}

.about__me--left img {
    width: 32rem;
}

.about__inner--item:nth-child(1), .about__inner--item:nth-child(2), .about__inner--item:nth-child(3) {
    display: flex;
    gap: 1rem;
    flex-direction: column;
}

.about__inner--item:nth-child(1) span, .about__inner--item:nth-child(2) span, .about__inner--item:nth-child(3) span {
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white);
}

.about__inner--item:nth-child(1) p {
    line-height: 1.5;
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white-50);
}

.about__inner--item:nth-child(2) div {
    display: flex;
    gap: 4rem;
}

.about__inner--item:nth-child(2) div ul, .about__inner--item:nth-child(3) ul {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.about__inner--item:nth-child(2) div ul p, .about__inner--item:nth-child(3) ul a {
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white-50);
    transition: all 0.25s ease-in-out;
    position: relative;
    width: fit-content;
}

.about__inner--item:nth-child(3) a::after {
    content: "";
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 1px;
    bottom: -2px;
    left: 0;
    background-color: var(--clr-white-50);
    transform-origin: bottom right;
    transition: transform 0.3s ease-out;
}

.about__inner--item:nth-child(3) a:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}

/*======================================*/
/*========== One project Page ==========*/
/*======================================*/

.project__details, .project__photos {
    padding-bottom: 3.75rem;
}

.hero .border .hero__inner {
    border-bottom: 1px solid var(--clr-dark-gray);
    padding-bottom: 3.75rem;
}

.hero .border img {
    padding-top: 2.5rem;
}

.project__inner {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
}

.project__inner--left {
    grid-area: 1 / 1 / 2 / 6;
    display: flex;
    flex-direction: column;
    gap: 3rem;
    position: sticky;
    top: 2rem;
    align-self: start;
}

.project__inner--left div:not(.project__inner--item) {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.project__inner--left h2, .project__inner--left ul li:nth-child(3) .project__inner--item p, .project__inner--right .project__inner--item h2 {
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white);
}

.project__inner--left p, .project__inner--left ul li:nth-child(3) .project__inner--item a, .project__inner--right .project__inner--item p {
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white-50);
    line-height: 1.5;
}

.project__inner--item {
    display: flex;
    flex-direction: column;
    gap: 0.125rem;
}

.project__inner--left ul {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.project__inner--left ul li:nth-child(1) .project__inner--item,
.project__inner--left ul li:nth-child(2):has(+ li:nth-child(3)) .project__inner--item {
    border-bottom: 1px solid var(--clr-dark-gray);
    padding-bottom: 1rem;
}

.project__inner--left ul li:nth-child(3) .project__inner--item a {
    transition: all 0.25s ease-in-out;
    position: relative;
    width: fit-content;
}

.project__inner--left ul li:nth-child(3) .project__inner--item a::after {
    content: "";
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 1px;
    bottom: -2px;
    left: 0;
    background-color: var(--clr-white-50);
    transform-origin: bottom right;
    transition: transform 0.3s ease-out;
}

.project__inner--left ul li:nth-child(3) .project__inner--item a:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}

.project__inner--right {
    grid-area: 1 / 7 / 2 / 13;
    display: flex;
    flex-direction: column;
    gap: 3rem;
}

.project__inner--right .project__inner--item p {
    width: 60%;
}

/*===========================================*/
/*========== Mentions légales Page ==========*/
/*===========================================*/

.legals {
    padding: 0 0 3.75rem 0;
}

.legals__block {
    display: flex;
    flex-direction: column;
    gap: 5rem;
    width: 60%;
}

.legals__row h2 {
    margin-bottom: 2rem;
    color: var(--clr-white);
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1.5rem;
}

.legals__row h3 {
    margin-top: 1rem;
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1.25rem;
    color: var(--clr-white);
}

.legals__row p {
    font-family: var(--helveticanow-regular);
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white-50);
    line-height: 1.5;
}

.legals__block a {
    color: var(--clr-white);
    transition: all 0.25s ease-in-out;
    position: relative;
    width: fit-content;
}

.legals__block a::after {
    content: "";
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 1px;
    bottom: -4px;
    left: 0;
    background-color: var(--clr-white);
    transform-origin: bottom right;
    transition: transform 0.3s ease-out;
}

.legals__block a:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}